## example.servlet.database
Class InitDatabaseServlet

    java.lang.Object
      HttpServlet
          example.servlet.database.InitDatabaseServlet

    public class InitDatabaseServlet

extends HttpServlet

Initializes the database for use with `examples` packages.

###

###

     You need to make sure that the init-parameter jdbc-ref points
     to a correctly configured database pool.

     The init-parameter schema points to the SQL schema file used
     by InitDatabaseServlet. If you experience
     SQLExceptions, you may have to adapt the syntax in the file to
     your database.

    Constructor Summary

    InitDatabaseServlet()

    Method Summary

     void
    service(HttpServletRequest req,
            HttpServletResponse res)

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    InitDatabaseServlet

    public InitDatabaseServlet()

    Method Detail

    service

    public void service(HttpServletRequest req,
                        HttpServletResponse res)
                 throws java.io.IOException

    Throws:
    java.io.IOException